Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.sitemap.node
Class AbstractSitemapNode

    java.lang.Object
      org.apache.cocoon.sitemap.node.AbstractSitemapNode

All Implemented Interfaces:
  SitemapNode

Direct Known Subclasses:
  ActNode, CallNode, GenerateNode, MatchNode, OtherwiseNode, ParameterNode, PipelineNode, PipelinesNode, ReadNode, RedirectNode, SelectNode, SerializeNode, Sitemap, TransformNode

    public abstract class AbstractSitemapNode

extends Object
implements SitemapNode

Constructor Summary
`AbstractSitemapNode()`

Method Summary
`void` | `addChild(SitemapNode child)`
`Map<String,String>` | `getParameters()`
`SitemapNode` | `getParent()`
`InvocationResult` | `invoke(Invocation invocation)`
`protected void` | `processParameter(String key, String value)`
`void` | `setParameters(Map<String,String> parameters)`
`void` | `setParent(SitemapNode parent)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.sitemap.node.SitemapNode
`getType`

Constructor Detail

### AbstractSitemapNode

    public AbstractSitemapNode()

Method Detail

### addChild

    public void addChild(SitemapNode child)

  Specified by:
    `addChild` in interface `SitemapNode`

### getParameters

    public Map<String,String> getParameters()

### getParent

    public SitemapNode getParent()

  Specified by:
    `getParent` in interface `SitemapNode`

### invoke

    public InvocationResult invoke(Invocation invocation)

  Specified by:
    `invoke` in interface `SitemapNode`

### setParameters

    public void setParameters(Map<String,String> parameters)

  Specified by:
    `setParameters` in interface `SitemapNode`

### setParent

    public void setParent(SitemapNode parent)

  Specified by:
    `setParent` in interface `SitemapNode`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### processParameter

    protected void processParameter(String key,
                                    String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.